Saltar al contenido principal
GET
/
api
/
v1
/
brcode
/
lotecobv
/
{id}
Consultar lote de cobranzas con vencimiento
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cobsv": [
    {
      "txid": "<string>",
      "criacao": "<string>",
      "problema": {
        "status": 123,
        "title": "<string>",
        "type": "<string>",
        "correlationId": "<string>",
        "detail": "<string>",
        "violacoes": [
          {
            "propriedade": "<string>",
            "razao": "<string>",
            "valor": "<string>"
          }
        ]
      }
    }
  ],
  "criacao": "<string>",
  "descricao": "<string>",
  "id": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

id
string
requerido

Identificador do lote (texto).

Pattern: ^[A-Za-z0-9-]{1,35}$

Respuesta

OK

cobsv
object[] | null
requerido

Itens do lote com seus respectivos status.

criacao
string
requerido

Data de criação do lote (RFC 3339).

descricao
string
requerido

Descrição do lote.

id
string
requerido

Identificador do lote (texto).